## qgis 3.40.12+git20251031+faa31ec091e+18trixie

=== tests/src/gui/CMakeLists.txt ===
# Standard includes and utils to compile into all tests.
set (util_SRCS)

#####################################################
# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(
  ${CMAKE_SOURCE_DIR}/tests/src/core #for render checker class
  ${CMAKE_SOURCE_DIR}/src/test

  ${CMAKE_CURRENT_BINARY_DIR}
)

if(ENABLE_MODELTEST)
  include_directories(${CMAKE_SOURCE_DIR}/tests/qt_modeltest)
endif()

# a simple app for testing GUI of renderers
# These tests are old and are never run so removed for now.
#set(rendererv2gui_SRCS testrenderergui.cpp)
#set(rendererv2gui_HDRS testrenderergui.h)
#add_executable(qgis_rendererv2gui ${rendererv2gui_SRCS} ${rendererv2gui_MOC_SRCS})

#ADD_QGIS_TEST(histogramtest testqgsrasterhistogram.cpp)

set(TESTS
  testqgsadvanceddigitizingdockwidget.cpp
  testqgsadvanceddigitizingtoolsregistry.cpp
  testqgsannotationitemguiregistry.cpp
  testqgsmaptoolzoom.cpp
  testqgsmaptooledit.cpp
  testqgscategorizedrendererwidget.cpp
  testqgsdatumtransformdialog.cpp
  testqgsdiagramproperties.cpp
  testqgsdoublespinbox.cpp
  testqgsdualview.cpp
  testqgsattributeform.cpp
  testqgsattributesformproperties.cpp
  testqgsdatetimeedit.cpp
  testqgsdockwidget.cpp
  testqgsfieldexpressionwidget.cpp
  testqgsfilewidget.cpp
  testqgsexternalstoragefilewidget.cpp
  testqgsfocuswatcher.cpp
  testqgshtmlwidgetwrapper.cpp
  testqgsmapcanvas.cpp
  testqgsmaptoolcapture.cpp
  testqgsmessagebar.cpp
  testprojectionissues.cpp
  testqgsgui.cpp
  testqgsgdalguiutils.cpp
  testprocessinggui.cpp
  testqgsprocessingmodel.cpp
  testqgsrubberband.cpp
  testqgsscalecombobox.cpp
  testqgsscalerangewidget.cpp
  testqgsrangewidgetwrapper.cpp
  testqgsspinbox.cpp
  testqgssqlcomposerdialog.cpp
  testqgseditorwidgetregistry.cpp
  testqgskeyvaluewidget.cpp
  testqgsfiledownloader.cpp
  testqgslayoutgui.cpp
  testqgslayoutview.cpp
  testqgsvaluemapwidgetwrapper.cpp
  testqgsvaluemapconfigdlg.cpp
  testqgsvaluerelationwidgetwrapper.cpp
  testqgsrelationeditorwidget.cpp
  testqgsrelationreferencewidget.cpp
  testqgsfeaturelistcombobox.cpp
  testqgstexteditwrapper.cpp
  testqgstableeditor.cpp
  testqgsnewdatabasetablewidget.cpp
  testqgsogrprovidergui.cpp
  testqgssinglebandpseudocolorrendererwidget.cpp
  testqgsdoublevalidator.cpp
  testqgsmeshlayerpropertiesdialog.cpp
  testqgsexternalresourcewidgetwrapper.cpp
  testqgsquerybuilder.cpp
  testqgsqueryresultwidget.cpp
  testqgscompoundcolorwidget.cpp
  testqgsmaskingwidget.cpp
  testqgssvgselectorwidget.cpp
  testqgslabelingwidget.cpp
)

foreach(TESTSRC ${TESTS})
  add_qgis_test( ${TESTSRC} MODULE gui LINKEDLIBRARIES qgis_gui qgis_analysis)
endforeach(TESTSRC)

add_qgis_test(testqgsrasterlayersaveasdialog.cpp MODULE gui LINKEDLIBRARIES qgis_gui qgis_analysis)
add_qgis_test(testqgslistwidget.cpp MODULE gui LINKEDLIBRARIES qgis_gui qgis_analysis)

if (ENABLE_PGTEST)
  SET_TESTS_PROPERTIES(
    test_gui_processinggui
    test_gui_valuerelationwidgetwrapper
    test_gui_texteditwrapper
    test_gui_newdatabasetablewidget
    test_gui_queryresultwidget
    test_gui_listwidget
    PROPERTIES LABELS "POSTGRES")
endif()

=== debian/changelog ===
qgis (1:3.40.12+git20251031+faa31ec091e+18trixie) trixie; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for trixie

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 01 Nov 2025 16:15:00 +0000

=== debian/control ===
Source: qgis
Maintainer: QGIS developers <qgis-developer@lists.osgeo.org>
Uploaders: Jürgen E. Fischer <jef@norbit.de>
Section: science
Priority: optional
Build-Depends:
 bison,
 ca-certificates,
 cmake (>= 2.8),
 debhelper (>= 9),
 dh-python,
 flex,
 gdal-bin,
 grass-dev,
 libexiv2-dev,
 libexpat1-dev,
 libfcgi-dev,
 libgdal-dev (>= 1.11),
 libgeos-dev (>= 3.0.0),
 libgsl-dev,
 libpq-dev,
 libproj-dev,
 libqca-qt5-2-dev,
 libqca-qt5-2-plugins,
 libqscintilla2-qt5-dev,
 libqt5opengl5-dev,
 libqt5serialport5-dev,
 libqt5sql5-sqlite,
 libqt5svg5-dev,
 libqt5xmlpatterns5-dev,
 libdraco-dev,
 qtmultimedia5-dev,
 libqwt-qt5-dev,
 libspatialite-dev,
 libsqlite3-dev,
 libsqlite3-mod-spatialite,
 libzip-dev,
 nlohmann-json3-dev,
 ninja-build,
 ocl-icd-opencl-dev,
 opencl-headers,
 pkgconf,
 pyqt5-dev-tools,
 pyqt5-dev,
 pyqt5.qsci-dev,
 python3-all-dev,
 python3-dev,
 python3-gdal,
 python3-mock,
 python3-nose2,
 python3-owslib,
 python3-psycopg2,
 python3-pyqt5,
 python3-pyqt5.qsci,
 python3-pyqt5.qtmultimedia,
 python3-pyqt5.qtpositioning,
 python3-pyqt5.qtserialport,
 python3-pyqt5.qtsql,
 python3-pyqt5.qtsvg,
 python3-pyqtbuild,
 sip-tools,
 python3-termcolor,
 python3-yaml,
 qt3d5-dev,
 qt3d-assimpsceneimport-plugin,
 qt3d-defaultgeometryloader-plugin,
 qt3d-gltfsceneio-plugin,
 qt3d-scene2d-plugin,
 qtkeychain-qt5-dev,
 qtbase5-dev,
 qtbase5-private-dev,
 qtpositioning5-dev,
 qttools5-dev-tools,
 qttools5-dev,
 libprotobuf-dev,
 protobuf-compiler,
 libzstd-dev,
 git,
 graphviz,
 xvfb,
 xauth,
 xfonts-base,
 xfonts-100dpi,
 xfonts-75dpi,
 xfonts-scalable,
 spawn-fcgi,
 poppler-utils,
 lighttpd,
 locales
Build-Conflicts:
 libqgis-dev,
 qgis-dev
Standards-Version: 3.9.7
Vcs-Browser: https://github.com/qgis/QGIS/
Vcs-Git: https://github.com/qgis/QGIS.git
Homepage: https://qgis.org/
Rules-Requires-Root: no

Package: qgis
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 python3-qgis (= ${binary:Version}),
 qgis-providers (= ${binary:Version}),
 qgis-common (= ${source:Version})
Recommends:
 qgis-plugin-grass
Suggests: gpsbabel
Conflicts: uim-qt3
Description: Geographic Information System (GIS)
 A Geographic Information System (GIS) manages, analyzes, and displays
 databases of geographic information. QGIS supports shape file viewing and
 editing, spatial data storage with PostgreSQL/PostGIS, projection on-the-fly,
 map composition, and a number of other features via a plugin interface. QGIS
 also supports display of various georeferenced raster and Digital Elevation
 Model (DEM) formats including GeoTIFF, Arc/Info ASCII Grid, and USGS ASCII
 DEM.

Package: qgis-common
Architecture: all
Depends:
 libjs-jquery,
 libjs-leaflet,
 qml-module-qtcharts,
 ${misc:Depends}
Description: QGIS - architecture-independent data
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains architecture-independent supporting data files for use
 with QGIS.

Package: libqgis-3d3.40.12
Architecture: any
Section: libs
Depends:
 qt3d-assimpsceneimport-plugin,
 qt3d-defaultgeometryloader-plugin,
 qt3d-gltfsceneio-plugin,
 qt3d-scene2d-plugin,
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared 3d library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared 3d library.

Package: libqgis-analysis3.40.12
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared analysis library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared analysis library.

Package: libqgis-app3.40.12
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: libqgis3.40.12
Description: QGIS - shared app library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared app library.

Package: libqgis-core3.40.12
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared core library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared core library.

Package: libqgis-gui3.40.12
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared gui library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared gui library.

Package: libqgis-native3.40.12
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared native gui library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared native gui library.

Package: libqgis-server3.40.12
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared server library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared server library.

Package: libqgisgrass8-3.40.12
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared grass library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared grass library.

Package: libqgispython3.40.12
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: libqgis3.40.12
Description: QGIS - shared Python library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared Python library.

Package: libqgis-customwidgets
Architecture: any
Depends:
 qttools5-dev-tools,
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS custom widgets for Qt Designer
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains a library to use specific QGIS widgets in Qt Designer.

Package: libqgis-dev
Architecture: any
Section: libdevel
Depends:
 grass-dev,
 libexiv2-dev,
 libexpat1-dev,
 libgdal-dev (>= 1.11),
 libgeos-dev (>= 3.0.0),
 libgsl-dev,
 libpq-dev,
 libproj-dev,
 libqca-qt5-2-dev,
 libqgis-3d3.40.12 (= ${binary:Version}),
 libqgis-analysis3.40.12 (= ${binary:Version}),
 libqgis-app3.40.12 (= ${binary:Version}),
 libqgis-core3.40.12 (= ${binary:Version}),
 libqgis-gui3.40.12 (= ${binary:Version}),
 libqgis-native3.40.12 (= ${binary:Version}),
 libqgis-server3.40.12 (= ${binary:Version}),
 libqgisgrass8-3.40.12 (= ${binary:Version}),
 libqgispython3.40.12 (= ${binary:Version}),
 libqscintilla2-qt5-dev,
 libqt5svg5-dev,
 libqwt-qt5-dev,
 libsqlite3-dev,
 nlohmann-json3-dev,
 pyqt5-dev-tools,
 pyqt5.qsci-dev,
 python3-dev,
 python3-pyqt5,
 python3-pyqt5.qsci,
 python3-pyqt5.qtsql,
 qtbase5-dev,
 qtpositioning5-dev,
 qttools5-dev,
 ${misc:Depends}
Recommends: libqgis-customwidgets
Provides: qgis-dev
Description: QGIS - development files
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the headers and libraries needed to develop plugins for
 QGIS.

Package: qgis-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 libqgis-3d3.40.12 (= ${binary:Version}),
 libqgis-analysis3.40.12 (= ${binary:Version}),
 libqgis-app3.40.12 (= ${binary:Version}),
 libqgis-core3.40.12 (= ${binary:Version}),
 libqgis-gui3.40.12 (= ${binary:Version}),
 libqgis-native3.40.12 (= ${binary:Version}),
 libqgis-server3.40.12 (= ${binary:Version}),
 libqgisgrass8-3.40.12 (= ${binary:Version}),
 libqgispython3.40.12 (= ${binary:Version}),
 ${misc:Depends}
Suggests: gdb
Description: QGIS - debugging symbols
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains debugging symbols.

Package: qgis-provider-grass
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: GRASS provider for QGIS
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This provider enables GRASS data access in QGIS.

Package: qgis-plugin-grass
Architecture: any
Depends:
 qgis (= ${binary:Version}),
 qgis-plugin-grass-common (= ${source:Version}),
 qgis-provider-grass (= ${binary:Version}),
 grass-core,
 ${grass:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: GRASS plugin for QGIS
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This plugin enables GRASS data access in QGIS.

Package: qgis-plugin-grass-common
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends}
Breaks: qgis-common (<< 1.5)
Replaces: qgis-common (<< 1.5)
Description: GRASS plugin for QGIS - architecture-independent data
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains architecture-independent supporting data files for use
 with the QGIS GRASS plugin.

Package: python3-qgis
Architecture: any
Section: python
Depends:
 python3-qgis-common (= ${source:Version}),
 qgis-providers (= ${binary:Version}),
 libqgispython3.40.12,
 libsqlite3-mod-spatialite,
 python3-jinja2,
 python3-owslib,
 python3-plotly,
 python3-psycopg2,
 python3-pygments,
 python3-pyproj,
 python3-pyqt5,
 python3-pyqt5.qsci,
 python3-pyqt5.qtsql,
 python3-pyqt5.qtmultimedia,
 python3-pyqt5.qtpositioning,
 python3-pyqt5.qtsvg,
 python3-pyqt5.qtserialport,
 python3-yaml,
 python3-lxml,
 ${python3:Depends},
 ${shlibs:Depends},
 ${sip3:Depends},
 ${misc:Depends}
Breaks: python-qgis (<< ${binary:Version})
Replaces: python-qgis (<< ${binary:Version})
Description: Python bindings to QGIS
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the files for the Python support.

Package: python3-qgis-common
Architecture: all
Section: python
Depends:
 gdal-bin,
 python3-gdal,
 python3-matplotlib,
 libqgis-customwidgets (>= ${source:Version}),
 ${python3:Depends},
 ${misc:Depends}
Breaks: python-qgis-common (<< ${source:Version})
Replaces: python-qgis-common (<< ${source:Version})
Suggests:
 saga
Description: Python bindings to QGIS - architecture-independent files
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains architecture-independent files for the QGIS Python
 bindings.

Package: qgis-providers
Architecture: any
Pre-Depends:
 dpkg (>= 1.16.1),
 ${misc:Pre-Depends}
Depends:
 qgis-providers-common (= ${source:Version}),
 libqca-qt5-2-plugins,
 libqt5sql5-sqlite,
 qt5-image-formats-plugins,
 qt5-image-formats-plugin-pdf,
 ${shlibs:Depends},
 ${misc:Depends}
Breaks: qgis (<= 1.6)
Replaces: qgis (<= 1.6)
Description: collection of data providers to QGIS
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the provider plugins for QGIS.

Package: qgis-providers-common
Architecture: all
Depends: ${misc:Depends}
Breaks: qgis-common (<= 1.6)
Replaces: qgis-common (<= 1.6)
Description: collection of data providers to QGIS - architecture-independent files
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .

## qgis 3.40.12+git20251031+faa31ec091e+36jammy

=== tests/src/python/CMakeLists.txt ===
set (ENABLE_MSSQLTEST FALSE CACHE BOOL "Enable MSSQL provider tests")
set (ENABLE_ORACLETEST FALSE CACHE BOOL "Enable Oracle provider tests")
set (ENABLE_HANATEST FALSE CACHE BOOL "Enable HANA provider tests")

include(UsePythonTest)

ADD_PYTHON_TEST(PyCoreAdditions test_core_additions.py)
ADD_PYTHON_TEST(PyPythonRepr test_python_repr.py)
ADD_PYTHON_TEST(PyPythonUtils test_python_utils.py)
ADD_PYTHON_TEST(PyQgsActionManager test_qgsactionmanager.py)
ADD_PYTHON_TEST(PyQgsAction test_qgsaction.py)
ADD_PYTHON_TEST(PyQgsAFSProvider test_provider_afs.py)
ADD_PYTHON_TEST(PyQgsAMSProvider test_provider_ams.py)
ADD_PYTHON_TEST(PyQgsAnimatedMarkerSymbolLayer test_qgsanimatedmarkersymbollayer.py)
ADD_PYTHON_TEST(PyQgsArcGisPortalUtils test_qgsarcgisportalutils.py)
ADD_PYTHON_TEST(PyQgsArcGisRestUtils test_qgsarcgisrestutils.py)
ADD_PYTHON_TEST(PyQgsPythonProvider test_provider_python.py)
ADD_PYTHON_TEST(PyQgsAggregateCalculator test_qgsaggregatecalculator.py)
ADD_PYTHON_TEST(PyQgsAnnotationItemEditOperation test_qgsannotationitemeditoperation.py)
ADD_PYTHON_TEST(PyQgsAnnotationItemNode test_qgsannotationitemnode.py)
ADD_PYTHON_TEST(PyQgsAnnotationLayer test_qgsannotationlayer.py)
ADD_PYTHON_TEST(PyQgsAnnotationLineItem test_qgsannotationlineitem.py)
ADD_PYTHON_TEST(PyQgsAnnotationLineTextItem test_qgsannotationlinetextitem.py)
ADD_PYTHON_TEST(PyQgsAnnotationMarkerItem test_qgsannotationmarkeritem.py)
ADD_PYTHON_TEST(PyQgsAnnotationPictureItem test_qgsannotationpictureitem.py)
ADD_PYTHON_TEST(PyQgsAnnotationPointTextItem test_qgsannotationpointtextitem.py)
ADD_PYTHON_TEST(PyQgsAnnotationPolygonItem test_qgsannotationpolygonitem.py)
ADD_PYTHON_TEST(PyQgsAnnotationRectangleTextItem test_qgsannotationrecttextitem.py)
ADD_PYTHON_TEST(PyQgsApplication test_qgsapplication.py)
ADD_PYTHON_TEST(PyQgsAttributeTableConfig test_qgsattributetableconfig.py)
ADD_PYTHON_TEST(PyQgsAuthBasicMethod test_qgsauthbasicmethod.py)
ADD_PYTHON_TEST(PyQgsBabelGpsFormat test_qgsbabelgpsformat.py)
ADD_PYTHON_TEST(PyQgsBatchGeocodeAlgorithm test_qgsgeocoderalgorithm.py)
ADD_PYTHON_TEST(PyQgsBearingUtils test_qgsbearingutils.py)
ADD_PYTHON_TEST(PyQgsBlendModes test_qgsblendmodes.py)
ADD_PYTHON_TEST(PyQgsBlockingProcess test_qgsblockingprocess.py)
ADD_PYTHON_TEST(PyQgsBlockingNetworkRequest test_qgsblockingnetworkrequest.py)
ADD_PYTHON_TEST(PyQgsBookmarkManager test_qgsbookmarkmanager.py)
ADD_PYTHON_TEST(PyQgsBookmarkModel test_qgsbookmarkmodel.py)
ADD_PYTHON_TEST(PyQgsBox3d test_qgsbox3d.py)
ADD_PYTHON_TEST(PyQgsCalloutPanelWidget test_qgscalloutpanelwidget.py)
ADD_PYTHON_TEST(PyQgsCategorizedSymbolRenderer test_qgscategorizedsymbolrenderer.py)
ADD_PYTHON_TEST(PyQgsCesium3dTilesLayer test_qgscesium3dtileslayer.py)
ADD_PYTHON_TEST(PyQgsCesiumUtils test_qgscesiumutils.py)
ADD_PYTHON_TEST(PyQgsCircularString test_qgscircularstring.py)
ADD_PYTHON_TEST(PyQgsClassificationMethod test_qgsclassificationmethod.py)
ADD_PYTHON_TEST(PyQgsCollapsibleGroupBox test_qgscollapsiblegroupbox.py)
ADD_PYTHON_TEST(PyQgsColorRamp test_qgscolorramp.py)
ADD_PYTHON_TEST(PyQgsColorRampLegendNode test_qgscolorramplegendnode.py)
ADD_PYTHON_TEST(PyQgsColorScheme test_qgscolorscheme.py)
ADD_PYTHON_TEST(PyQgsColorSchemeRegistry test_qgscolorschemeregistry.py)
ADD_PYTHON_TEST(PyQgsColorUtils test_qgscolorutils.py)
ADD_PYTHON_TEST(PyQgsCombinedStyleModel test_qgscombinedstylemodel.py)
ADD_PYTHON_TEST(PyQgsCompoundCurve test_qgscompoundcurve.py)
ADD_PYTHON_TEST(PyQgsCoordinateFormatter test_qgscoordinateformatter.py)
ADD_PYTHON_TEST(PyQgsCoordinateReferenceSystem test_qgscoordinatereferencesystem.py)
ADD_PYTHON_TEST(PyQgsCoordinateReferenceSystemUtils test_qgscoordinatereferencesystemutils.py)
ADD_PYTHON_TEST(PyQgsConditionalStyle test_qgsconditionalstyle.py)
ADD_PYTHON_TEST(PyQgsConnectionRegistry test_qgsconnectionregistry.py)
ADD_PYTHON_TEST(PyQgsCoordinateTransformContext test_qgscoordinatetransformcontext.py)
ADD_PYTHON_TEST(PyQgsDefaultValue test_qgsdefaultvalue.py)
ADD_PYTHON_TEST(PyQgsXmlUtils test_qgsxmlutils.py)
ADD_PYTHON_TEST(PyQgsCore test_qgscore.py)
ADD_PYTHON_TEST(PyQgsCoordinateTransform test_qgscoordinatetransform.py)
ADD_PYTHON_TEST(PyQgsDataItem test_qgsdataitem.py)
ADD_PYTHON_TEST(PyQgsDataItemProviderRegistry test_qgsdataitemproviderregistry.py)
ADD_PYTHON_TEST(PyQgsDateTimeStatisticalSummary test_qgsdatetimestatisticalsummary.py)
ADD_PYTHON_TEST(PyQgsDatumTransform test_qgsdatumtransforms.py)
ADD_PYTHON_TEST(PyQgsDelimitedTextProvider test_qgsdelimitedtextprovider.py)
ADD_PYTHON_TEST(PyQgsDistanceArea test_qgsdistancearea.py)
ADD_PYTHON_TEST(PyQgsElevationControllerWidget test_qgselevationcontrollerwidget.py)
ADD_PYTHON_TEST(PyQgsElevationUtils test_qgselevationutils.py)
ADD_PYTHON_TEST(PyQgsEllipsoidUtils test_qgsellipsoidutils.py)
ADD_PYTHON_TEST(PyQgsEmbeddedSymbolRenderer test_qgsembeddedsymbolrenderer.py)
ADD_PYTHON_TEST(PyQgsExifTools test_qgsexiftools.py)
ADD_PYTHON_TEST(PyQgsExpression test_qgsexpression.py)
ADD_PYTHON_TEST(PyQgsExpressionPreviewWidget test_qgsexpressionpreviewwidget.py)
ADD_PYTHON_TEST(PyQgsExternalStorageWebDav test_qgsexternalstorage_webdav.py)
ADD_PYTHON_TEST(PyQgsExternalStorageAwsS3 test_qgsexternalstorage_awss3.py)
ADD_PYTHON_TEST(PyQgsFeature test_qgsfeature.py)
ADD_PYTHON_TEST(PyQgsFeatureSink test_qgsfeaturesink.py)
ADD_PYTHON_TEST(PyQgsFeatureSource test_qgsfeaturesource.py)
ADD_PYTHON_TEST(PyQgsFieldFormattersTest test_qgsfieldformatters.py)
ADD_PYTHON_TEST(PyQgsFilledLineSymbolLayer test_qgsfilledlinesymbollayer.py)
ADD_PYTHON_TEST(PyQgsFillSymbolLayers test_qgsfillsymbollayers.py)
ADD_PYTHON_TEST(PyQgsFontManager test_qgsfontmanager.py)
ADD_PYTHON_TEST(PyQgsProject test_qgsproject.py)
ADD_PYTHON_TEST(PyQgsProjectBadLayers test_qgsprojectbadlayers.py)
ADD_PYTHON_TEST(PyQgsProjectDisplaySettings test_qgsprojectdisplaysettings.py)
ADD_PYTHON_TEST(PyQgsProjectTimeSettings test_qgsprojecttimesettings.py)
ADD_PYTHON_TEST(PyQgsProjectStyleSettings test_qgsprojectstylesettings.py)
ADD_PYTHON_TEST(PyQgsFeatureIterator test_qgsfeatureiterator.py)
ADD_PYTHON_TEST(PyQgsFeatureRequest test_qgsfeaturerequest.py)
ADD_PYTHON_TEST(PyQgsFeedback test_qgsfeedback.py)
ADD_PYTHON_TEST(PyQgsFieldDomain test_qgsfielddomain.py)
ADD_PYTHON_TEST(PyQgsField test_qgsfield.py)
ADD_PYTHON_TEST(PyQgsFields test_qgsfields.py)
ADD_PYTHON_TEST(PyQgsFieldModel test_qgsfieldmodel.py)
ADD_PYTHON_TEST(PyQgsFileUtils test_qgsfileutils.py)
ADD_PYTHON_TEST(PyQgsFontUtils test_qgsfontutils.py)
ADD_PYTHON_TEST(PyQgsGdalProvider test_provider_gdal.py)
ADD_PYTHON_TEST(PyQgsGeometryAvoidIntersections test_qgsgeometry_avoid_intersections.py)
ADD_PYTHON_TEST(PyQgsGeometryCollection test_qgsgeometrycollection.py)
ADD_PYTHON_TEST(PyQgsGeometryGeneratorSymbolLayer test_qgsgeometrygeneratorsymbollayer.py)
ADD_PYTHON_TEST(PyQgsGeometryPaintDevice test_qgsgeometrypaintdevice.py)
ADD_PYTHON_TEST(PyQgsGeometryTest test_qgsgeometry.py)
ADD_PYTHON_TEST(PyQgsGeometryValidator test_qgsgeometryvalidator.py)
ADD_PYTHON_TEST(PyQgsNominatimGeocoder test_qgsnominatimgeocoder.py)
ADD_PYTHON_TEST(PyQgsGoogleMapsGeocoder test_qgsgooglemapsgeocoder.py)
ADD_PYTHON_TEST(PyQgsGpsLogger test_qgsgpslogger.py)
ADD_PYTHON_TEST(PyQgsGpxProvider test_provider_gpx.py)
ADD_PYTHON_TEST(PyQgsGraduatedSymbolRenderer test_qgsgraduatedsymbolrenderer.py)
ADD_PYTHON_TEST(PyQgsGraph test_qgsgraph.py)
ADD_PYTHON_TEST(PyQgsGroupLayer test_qgsgrouplayer.py)
ADD_PYTHON_TEST(PyQgsHashLineSymbolLayer test_qgshashlinesymbollayer.py)
ADD_PYTHON_TEST(PyQgsHeatmapRenderer test_qgsheatmaprenderer.py)
ADD_PYTHON_TEST(PyQgsHillshadeRenderer test_qgshillshaderenderer.py)
ADD_PYTHON_TEST(PyQgsImageCache test_qgsimagecache.py)
ADD_PYTHON_TEST(PyQgsInterpolatedLineSymbolLayer test_qgsinterpolatedlinesymbollayers.py)
ADD_PYTHON_TEST(PyQgsInterval test_qgsinterval.py)
ADD_PYTHON_TEST(PyQgsJsonUtils test_qgsjsonutils.py)
ADD_PYTHON_TEST(PyQgsLabelingEngineRule test_qgslabelingenginerule.py)
ADD_PYTHON_TEST(PyQgsLabelLineSettings test_qgslabellinesettings.py)
ADD_PYTHON_TEST(PyQgsLabelObstacleSettings test_qgslabelobstaclesettings.py)
ADD_PYTHON_TEST(PyQgsLabelPlacementSettings test_qgslabelplacementsettings.py)
ADD_PYTHON_TEST(PyQgsLabelThinningSettings test_qgslabelthinningsettings.py)
ADD_PYTHON_TEST(PyQgsLayerMetadata test_qgslayermetadata.py)
ADD_PYTHON_TEST(PyQgsLayerMetadataProviderPython test_qgslayermetadataprovider_python.py)
ADD_PYTHON_TEST(PyQgsLayerMetadataProviderOgr test_qgslayermetadataprovider_ogr.py)
ADD_PYTHON_TEST(PyQgsLayerTree test_qgslayertree.py)
ADD_PYTHON_TEST(PyQgsLayerTreeFilterProxyModel test_qgslayertreefilterproxymodel.py)
ADD_PYTHON_TEST(PyQgsLayerTreeRegistryBridge test_qgslayertreeregistrybridge.py)
ADD_PYTHON_TEST(PyQgsLayout test_qgslayout.py)
ADD_PYTHON_TEST(PyQgsLayoutAlign test_qgslayoutaligner.py)
ADD_PYTHON_TEST(PyQgsLayoutAtlas test_qgslayoutatlas.py)
ADD_PYTHON_TEST(PyQgsLayoutElevationProfile test_qgslayoutelevationprofile.py)
ADD_PYTHON_TEST(PyQgsLayoutExporter test_qgslayoutexporter.py)
ADD_PYTHON_TEST(PyQgsLayoutFrame test_qgslayoutframe.py)
ADD_PYTHON_TEST(PyQgsLayoutManager test_qgslayoutmanager.py)
ADD_PYTHON_TEST(PyQgsLayoutManagerModel test_qgslayoutmanagermodel.py)
ADD_PYTHON_TEST(PyQgsLayoutPageCollection test_qgslayoutpagecollection.py)
ADD_PYTHON_TEST(PyQgsLayoutGridSettings test_qgslayoutgridsettings.py)
ADD_PYTHON_TEST(PyQgsLayoutGuide test_qgslayoutguides.py)
ADD_PYTHON_TEST(PyQgsLayoutHtml test_qgslayouthtml.py)
ADD_PYTHON_TEST(PyQgsLayoutItem test_qgslayoutitem.py)
ADD_PYTHON_TEST(PyQgsLayoutLabel test_qgslayoutlabel.py)
ADD_PYTHON_TEST(PyQgsLayoutLegend test_qgslayoutlegend.py)
ADD_PYTHON_TEST(PyQgsLayoutMap test_qgslayoutmap.py)
ADD_PYTHON_TEST(PyQgsLayoutItemMapAtlasClippingSettings test_qgslayoutatlasclippingsettings.py)
ADD_PYTHON_TEST(PyQgsLayoutItemMapItemClipPathSettings test_qgslayoutmapitemclippingsettings.py)
ADD_PYTHON_TEST(PyQgsLayoutMapGrid test_qgslayoutmapgrid.py)
ADD_PYTHON_TEST(PyQgsLayoutMapOverview test_qgslayoutmapoverview.py)
ADD_PYTHON_TEST(PyQgsLayoutMarker test_qgslayoutmarker.py)
ADD_PYTHON_TEST(PyQgsLayoutNorthArrowHandler test_qgslayoutnortharrowhandler.py)
ADD_PYTHON_TEST(PyQgsLayoutPage test_qgslayoutpage.py)
ADD_PYTHON_TEST(PyQgsLayoutPicture test_qgslayoutpicture.py)
ADD_PYTHON_TEST(PyQgsLayoutPolygon test_qgslayoutpolygon.py)
ADD_PYTHON_TEST(PyQgsLayoutPolyline test_qgslayoutpolyline.py)
ADD_PYTHON_TEST(PyQgsLayoutScaleBar test_qgslayoutscalebar.py)
ADD_PYTHON_TEST(PyQgsLayoutShape test_qgslayoutshape.py)
ADD_PYTHON_TEST(PyQgsLayoutSnapper test_qgslayoutsnapper.py)
ADD_PYTHON_TEST(PyQgsLayoutTable test_qgslayouttable.py)
ADD_PYTHON_TEST(PyQgsLegendPatchShape test_qgslegendpatchshape.py)
ADD_PYTHON_TEST(PyQgsLegendRenderer test_qgslegendrenderer.py)
ADD_PYTHON_TEST(PyQgsLegendSettings test_qgslegendsettings.py)
ADD_PYTHON_TEST(PyQgsLegendStyle test_qgslegendstyle.py)
ADD_PYTHON_TEST(PyQgsLinearReferencingSymbolLayer test_qgslinearreferencingsymbollayer.py)
ADD_PYTHON_TEST(PyQgsLineSegment test_qgslinesegment.py)
ADD_PYTHON_TEST(PyQgsLineString test_qgslinestring.py)
ADD_PYTHON_TEST(PyQgsLineSymbolLayers test_qgslinesymbollayers.py)
ADD_PYTHON_TEST(PyQgsLineburstSymbolLayer test_qgslineburstsymbollayer.py)
ADD_PYTHON_TEST(PyQgsLocalDefaultSettings test_qgslocaldefaultsettings.py)
ADD_PYTHON_TEST(PyQgsLocalizedDataPathRegistry test_qgslocalizeddatapathregistry.py)
ADD_PYTHON_TEST(PyQgsLocator test_qgslocator.py)
ADD_PYTHON_TEST(PyQgsMapBoxGlStyleConverter test_qgsmapboxglconverter.py)
ADD_PYTHON_TEST(PyQgsMapClippingRegion test_qgsmapclippingregion.py)
ADD_PYTHON_TEST(PyQgsMapClippingUtils test_qgsmapclippingutils.py)
ADD_PYTHON_TEST(PyQgsMapHitTest test_qgsmaphittest.py)
ADD_PYTHON_TEST(PyQgsMapLayer test_qgsmaplayer.py)
ADD_PYTHON_TEST(PyQgsMapLayerFactory test_qgsmaplayerfactory.py)
ADD_PYTHON_TEST(PyQgsMapLayerModel test_qgsmaplayermodel.py)
ADD_PYTHON_TEST(PyQgsMapLayerProxyModel test_qgsmaplayerproxymodel.py)
ADD_PYTHON_TEST(PyQgsMapLayerServerProperties test_qgsmaplayerserverproperties.py)

=== debian/changelog ===
qgis (1:3.40.12+git20251031+faa31ec091e+36jammy) jammy; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for jammy

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 31 Oct 2025 23:18:03 +0000

=== debian/control ===
--- 
+++ 
@@ -27,10 +27,12 @@
  libqt5serialport5-dev,
  libqt5sql5-sqlite,
  libqt5svg5-dev,
+ libqt5webkit5-dev,
  libqt5xmlpatterns5-dev,
  libdraco-dev,
  qtmultimedia5-dev,
  libqwt-qt5-dev,
+ libspatialindex-dev,
  libspatialite-dev,
  libsqlite3-dev,
  libsqlite3-mod-spatialite,
@@ -72,6 +74,7 @@
  qtpositioning5-dev,
  qttools5-dev-tools,
  qttools5-dev,
+ libpdal-dev, pdal,
  libprotobuf-dev,
  protobuf-compiler,
  libzstd-dev,
@@ -220,7 +223,7 @@
  .
  This package contains the shared server library.
 
-Package: libqgisgrass8-3.40.12
+Package: libqgisgrass7-3.40.12
 Architecture: any
 Section: libs
 Depends:
@@ -277,10 +280,11 @@
  libqgis-gui3.40.12 (= ${binary:Version}),
  libqgis-native3.40.12 (= ${binary:Version}),
  libqgis-server3.40.12 (= ${binary:Version}),
- libqgisgrass8-3.40.12 (= ${binary:Version}),
+ libqgisgrass7-3.40.12 (= ${binary:Version}),
  libqgispython3.40.12 (= ${binary:Version}),
  libqscintilla2-qt5-dev,
  libqt5svg5-dev,
+ libqt5webkit5-dev,
  libqwt-qt5-dev,
  libsqlite3-dev,
  nlohmann-json3-dev,
@@ -315,7 +319,7 @@
  libqgis-gui3.40.12 (= ${binary:Version}),
  libqgis-native3.40.12 (= ${binary:Version}),
  libqgis-server3.40.12 (= ${binary:Version}),
- libqgisgrass8-3.40.12 (= ${binary:Version}),
+ libqgisgrass7-3.40.12 (= ${binary:Version}),
  libqgispython3.40.12 (= ${binary:Version}),
  ${misc:Depends}
 Suggests: gdb
@@ -386,6 +390,7 @@
  python3-pyqt5.qtmultimedia,
  python3-pyqt5.qtpositioning,
  python3-pyqt5.qtsvg,
+ python3-pyqt5.qtwebkit,
  python3-pyqt5.qtserialport,
  python3-yaml,
  python3-lxml,
@@ -449,6 +454,3 @@
 Breaks: qgis-common (<= 1.6)
 Replaces: qgis-common (<= 1.6)
 Description: collection of data providers to QGIS - architecture-independent files
- QGIS is a Geographic Information System (GIS) which manages, analyzes and
- display databases of geographic information.
- .

## qgis 3.40.12+git20251031+faa31ec091e+36jammy-ubuntugis

=== debian/changelog ===
qgis (1:3.40.12+git20251031+faa31ec091e+36jammy-ubuntugis) jammy; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for jammy-ubuntugis with
    ubuntugis dependencies

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 01 Nov 2025 01:27:36 +0000

## qgis 3.40.12+git20251031+faa31ec091e+40noble

=== tests/src/CMakeLists.txt ===
if (ENABLE_TESTS)


  macro (add_qgis_test TESTSRC)
    set(options OPTIONAL)
    set(oneValueArgs MODULE LABELS)
    set(multiValueArgs LINKEDLIBRARIES DEPENDENCIES)
    cmake_parse_arguments(ARG_QGIS_TEST "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

    set (TESTNAME ${TESTSRC})
    string(REPLACE "test" "" TESTNAME ${TESTNAME})
    string(REPLACE "qgs" "" TESTNAME ${TESTNAME})
    string(REPLACE ".cpp" "" TESTNAME ${TESTNAME})
    set (TESTNAME  "test_${ARG_QGIS_TEST_MODULE}_${TESTNAME}")
    add_executable(${TESTNAME} ${TESTSRC} ${util_SRCS})
    # add_custom_target(${TESTNAME}moc ALL DEPENDS ${${TESTNAME}_MOC_SRCS})
    target_compile_features(${TESTNAME} PRIVATE cxx_std_17)
    set_target_properties(${TESTNAME} PROPERTIES AUTORCC TRUE)
    target_link_libraries(${TESTNAME} ${ARG_QGIS_TEST_LINKEDLIBRARIES})
    target_link_libraries(${TESTNAME} qgis_test)
    add_test(${TESTNAME} ${CMAKE_BINARY_DIR}/output/bin/${TESTNAME} -maxwarnings 10000)
    if (DEFINED ARG_QGIS_TEST_DEPENDENCIES)
      add_dependencies(${TESTNAME} ${ARG_QGIS_TEST_DEPENDENCIES})
    endif()
    if (DEFINED ARG_QGIS_TEST_LABELS)
      set_tests_properties(${TESTNAME} PROPERTIES LABELS ${ARG_QGIS_TEST_LABELS})
    endif()

    set_tests_properties(${TESTNAME} PROPERTIES FIXTURES_REQUIRED SOURCETREE)
    target_compile_definitions(${TESTNAME} PRIVATE "CMAKE_SOURCE_DIR=\"${CMAKE_SOURCE_DIR}\"")
  endmacro()



  #############################################################
  # Compiler defines

  # This define is used for tests that need to locate the test
  # data under tests/testdata in the qgis source tree.
  # the TEST_DATA_DIR variable is set in the top level CMakeLists.txt
  add_definitions(-DTEST_DATA_DIR="${TEST_DATA_DIR}")

  add_definitions(-DINSTALL_PREFIX="${CMAKE_INSTALL_PREFIX}")

  # libraries
  # enable postgresql tests
  set (ENABLE_PGTEST FALSE CACHE BOOL "Enable PostgreSQL provider tests")
  if ( ENABLE_PGTEST )
    add_definitions(-DENABLE_PGTEST)
  endif()

  # because of htonl
  if (WIN32)
    set(PLATFORM_LIBRARIES wsock32)
  endif()

  # Since the tests are not actually installed, but rather
  # run directly from the build/src/tests dir we need to
  # ensure the qgis libs can be found.
  if (APPLE)
  # For Mac OS X, the executable must be at the root of the bundle's executable folder
  #  set (CMAKE_INSTALL_NAME_DIR @executable_path/../../../src/core)
  endif()

  add_subdirectory(core)
  if (WITH_GUI)
    add_subdirectory(gui)
  endif()
  if (WITH_3D)
    add_subdirectory(3d)
  endif()
  if (WITH_ANALYSIS)
    add_subdirectory(analysis)
    add_subdirectory(geometry_checker)
  endif()
  if (WITH_AUTH)
    add_subdirectory(auth)
  endif()
  add_subdirectory(providers)
  if (WITH_DESKTOP)
    add_subdirectory(app)
  endif()
  add_subdirectory(native)
  if (WITH_BINDINGS)
    add_subdirectory(python)
  endif()
  if (WITH_QUICK)
    add_subdirectory(quickgui)
  endif()
  if (WITH_SERVER)
    add_subdirectory(server)
  endif()
endif()

=== python/plugins/db_manager/db_plugins/spatialite/CMakeLists.txt ===

file(GLOB PY_FILES *.py)

PLUGIN_INSTALL(db_manager db_plugins/spatialite ${PY_FILES} ${PYRC_FILES})
PLUGIN_INSTALL(db_manager db_plugins/spatialite/icons ${ICON_FILES})

=== debian/changelog ===
qgis (1:3.40.12+git20251031+faa31ec091e+40noble) noble; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for noble

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 01 Nov 2025 03:09:11 +0000

## qgis 3.40.12+git20251031+faa31ec091e+40noble-ubuntugis

=== debian/changelog ===
qgis (1:3.40.12+git20251031+faa31ec091e+40noble-ubuntugis) noble; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for noble-ubuntugis with
    ubuntugis dependencies

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 01 Nov 2025 05:14:46 +0000

## qgis 3.40.12+git20251031+faa31ec091e+42plucky

=== debian/changelog ===
qgis (1:3.40.12+git20251031+faa31ec091e+42plucky) plucky; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for plucky

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 01 Nov 2025 07:33:13 +0000

## qgis 3.40.12+git20251031+faa31ec091e+43questing

=== debian/changelog ===
qgis (1:3.40.12+git20251031+faa31ec091e+43questing) questing; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for questing

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 01 Nov 2025 09:42:06 +0000

## qgis 3.40.12+git20251031+faa31ec091e+99sid

=== debian/changelog ===
qgis (1:3.40.12+git20251031+faa31ec091e+99sid) sid; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for sid

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 01 Nov 2025 20:29:31 +0000

## qgis 3.40.12+git20251113+4b47763be03+17bookworm

=== debian/changelog ===
qgis (1:3.40.12+git20251113+4b47763be03+17bookworm) bookworm; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for bookworm

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 14 Nov 2025 09:09:30 +0000

=== debian/control ===
--- 
+++ 
@@ -74,7 +74,6 @@
  qtpositioning5-dev,
  qttools5-dev-tools,
  qttools5-dev,
- libpdal-dev, pdal,
  libprotobuf-dev,
  protobuf-compiler,
  libzstd-dev,
@@ -223,7 +222,7 @@
  .
  This package contains the shared server library.
 
-Package: libqgisgrass7-3.40.12
+Package: libqgisgrass8-3.40.12
 Architecture: any
 Section: libs
 Depends:
@@ -280,7 +279,7 @@
  libqgis-gui3.40.12 (= ${binary:Version}),
  libqgis-native3.40.12 (= ${binary:Version}),
  libqgis-server3.40.12 (= ${binary:Version}),
- libqgisgrass7-3.40.12 (= ${binary:Version}),
+ libqgisgrass8-3.40.12 (= ${binary:Version}),
  libqgispython3.40.12 (= ${binary:Version}),
  libqscintilla2-qt5-dev,
  libqt5svg5-dev,
@@ -319,7 +318,7 @@
  libqgis-gui3.40.12 (= ${binary:Version}),
  libqgis-native3.40.12 (= ${binary:Version}),
  libqgis-server3.40.12 (= ${binary:Version}),
- libqgisgrass7-3.40.12 (= ${binary:Version}),
+ libqgisgrass8-3.40.12 (= ${binary:Version}),
  libqgispython3.40.12 (= ${binary:Version}),
  ${misc:Depends}
 Suggests: gdb
@@ -454,3 +453,4 @@
 Breaks: qgis-common (<= 1.6)
 Replaces: qgis-common (<= 1.6)
 Description: collection of data providers to QGIS - architecture-independent files
+ QGIS is a Geographic Information System (GIS) which manages, analyzes and

## qgis 3.40.12+git20251113+4b47763be03+18trixie

=== debian/changelog ===
qgis (1:3.40.12+git20251113+4b47763be03+18trixie) trixie; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for trixie

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 14 Nov 2025 13:00:53 +0000

## qgis 3.40.12+git20251113+4b47763be03+36jammy

=== debian/changelog ===
qgis (1:3.40.12+git20251113+4b47763be03+36jammy) jammy; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for jammy

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 13 Nov 2025 22:19:31 +0000

## qgis 3.40.12+git20251113+4b47763be03+36jammy-ubuntugis

=== debian/changelog ===
qgis (1:3.40.12+git20251113+4b47763be03+36jammy-ubuntugis) jammy; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for jammy-ubuntugis with
    ubuntugis dependencies

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 14 Nov 2025 00:21:06 +0000

## qgis 3.40.12+git20251113+4b47763be03+40noble

=== debian/changelog ===
qgis (1:3.40.12+git20251113+4b47763be03+40noble) noble; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for noble

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 14 Nov 2025 01:52:59 +0000

## qgis 3.40.12+git20251113+4b47763be03+40noble-ubuntugis

=== debian/changelog ===
qgis (1:3.40.12+git20251113+4b47763be03+40noble-ubuntugis) noble; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for noble-ubuntugis with
    ubuntugis dependencies

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 14 Nov 2025 03:48:01 +0000

## qgis 3.40.12+git20251113+4b47763be03+42plucky

=== debian/changelog ===
qgis (1:3.40.12+git20251113+4b47763be03+42plucky) plucky; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for plucky

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 14 Nov 2025 05:40:07 +0000

## qgis 3.40.12+git20251113+4b47763be03+43questing

=== debian/changelog ===
qgis (1:3.40.12+git20251113+4b47763be03+43questing) questing; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for questing

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 14 Nov 2025 07:26:13 +0000

## qgis 3.40.12+git20251113+4b47763be03+99sid

=== src/auth/pkipkcs12/CMakeLists.txt ===
set(AUTH_PKCS12_SRCS
  core/qgsauthpkcs12method.cpp
)

set(AUTH_PKCS12_HDRS
  core/qgsauthpkcs12method.h
)

set(AUTH_PKCS12_UIS_H "")

if (WITH_GUI)
  set(AUTH_PKCS12_SRCS ${AUTH_PKCS12_SRCS}
    gui/qgsauthpkcs12edit.cpp
  )
  set(AUTH_PKCS12_HDRS ${AUTH_PKCS12_HDRS}
    gui/qgsauthpkcs12edit.h
  )
  set(AUTH_PKCS12_UIS gui/qgsauthpkcs12edit.ui)
  if (BUILD_WITH_QT6)
    QT6_WRAP_UI(AUTH_PKCS12_UIS_H ${AUTH_PKCS12_UIS})
  else()
    QT5_WRAP_UI(AUTH_PKCS12_UIS_H ${AUTH_PKCS12_UIS})
  endif()
endif()

# static library
add_library(authmethod_pkcs12_a STATIC ${AUTH_PKCS12_SRCS} ${AUTH_PKCS12_HDRS} ${AUTH_PKCS12_UIS_H})

target_include_directories(authmethod_pkcs12_a PUBLIC ${CMAKE_SOURCE_DIR}/src/auth/pkipkcs12/core)

# require c++17
target_compile_features(authmethod_pkcs12_a PRIVATE cxx_std_17)

target_link_libraries(authmethod_pkcs12_a qgis_core)

if (WITH_GUI)
  target_include_directories(authmethod_pkcs12_a PRIVATE
    ${CMAKE_SOURCE_DIR}/src/auth/pkipkcs12/gui
    ${CMAKE_BINARY_DIR}/src/auth/pkipkcs12
  )
  target_link_libraries (authmethod_pkcs12_a qgis_gui)
endif()

target_compile_definitions(authmethod_pkcs12_a PRIVATE "-DQT_NO_FOREACH")



if (FORCE_STATIC_LIBS)
  # for (external) mobile apps to be able to pick up provider for linking
  install (TARGETS authmethod_pkcs12_a ARCHIVE DESTINATION ${QGIS_PLUGIN_DIR})
else()
  # dynamically loaded module
  add_library(authmethod_pkcs12 MODULE ${AUTH_PKCS12_SRCS} ${AUTH_PKCS12_HDRS} ${AUTH_PKCS12_UIS_H})

  # require c++17
  target_compile_features(authmethod_pkcs12 PRIVATE cxx_std_17)

  target_link_libraries(authmethod_pkcs12 qgis_core)

  if (WITH_GUI)
    target_include_directories(authmethod_pkcs12 PRIVATE
      ${CMAKE_SOURCE_DIR}/src/auth/pkipkcs12/gui
      ${CMAKE_BINARY_DIR}/src/auth/pkipkcs12
    )
    target_link_libraries (authmethod_pkcs12 qgis_gui)
    add_dependencies(authmethod_pkcs12 ui)
  endif()

  target_compile_definitions(authmethod_pkcs12 PRIVATE "-DQT_NO_FOREACH")

  install (TARGETS authmethod_pkcs12
    RUNTIME DESTINATION ${QGIS_PLUGIN_DIR}
    LIBRARY DESTINATION ${QGIS_PLUGIN_DIR}
  )
endif()

=== python/plugins/db_manager/db_plugins/vlayers/CMakeLists.txt ===

file(GLOB PY_FILES *.py)

PLUGIN_INSTALL(db_manager db_plugins/vlayers ${PY_FILES} ${PYRC_FILES})

=== debian/changelog ===
qgis (1:3.40.12+git20251113+4b47763be03+99sid) sid; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for sid

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 14 Nov 2025 16:42:12 +0000

## qgis 3.40.12+git20251120+040f85238f2+17bookworm

=== debian/changelog ===
qgis (1:3.40.12+git20251120+040f85238f2+17bookworm) bookworm; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for bookworm

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 20 Nov 2025 12:16:16 +0000

## qgis 3.40.12+git20251120+040f85238f2+18trixie

=== debian/changelog ===
qgis (1:3.40.12+git20251120+040f85238f2+18trixie) trixie; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for trixie

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 20 Nov 2025 16:29:04 +0000

## qgis 3.40.12+git20251120+040f85238f2+36jammy

=== debian/changelog ===
qgis (1:3.40.12+git20251120+040f85238f2+36jammy) jammy; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for jammy

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 20 Nov 2025 00:35:58 +0000

## qgis 3.40.12+git20251120+040f85238f2+36jammy-ubuntugis

=== debian/changelog ===
qgis (1:3.40.12+git20251120+040f85238f2+36jammy-ubuntugis) jammy; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for jammy-ubuntugis with
    ubuntugis dependencies

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 20 Nov 2025 02:46:21 +0000

## qgis 3.40.12+git20251120+040f85238f2+40noble

=== debian/changelog ===
qgis (1:3.40.12+git20251120+040f85238f2+40noble) noble; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for noble

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 20 Nov 2025 04:26:44 +0000

## qgis 3.40.12+git20251120+040f85238f2+40noble-ubuntugis

=== debian/changelog ===
qgis (1:3.40.12+git20251120+040f85238f2+40noble-ubuntugis) noble; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for noble-ubuntugis with
    ubuntugis dependencies

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 20 Nov 2025 06:23:34 +0000

## qgis 3.40.12+git20251120+040f85238f2+42plucky

=== debian/changelog ===
qgis (1:3.40.12+git20251120+040f85238f2+42plucky) plucky; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for plucky

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 20 Nov 2025 08:21:45 +0000

## qgis 3.40.12+git20251120+040f85238f2+43questing

=== debian/changelog ===
qgis (1:3.40.12+git20251120+040f85238f2+43questing) questing; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for questing

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 20 Nov 2025 10:22:33 +0000

## qgis 3.40.12+git20251120+040f85238f2+99sid

=== debian/changelog ===
qgis (1:3.40.12+git20251120+040f85238f2+99sid) sid; urgency=medium

  * Release of 3.40.12
  * nightly build of long term release branch for sid

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 20 Nov 2025 20:26:03 +0000

## qgis 3.40.13+17bookworm

=== debian/changelog ===
qgis (1:3.40.13+17bookworm) bookworm; urgency=medium

  * Release of 3.40.13
  * long term release 3.40.13 for bookworm

 -- Jürgen E. Fischer <jef@norbit.de>  Sun, 23 Nov 2025 09:11:36 +0000

qgis (3.40.12) unstable; urgency=medium

  * Release of 3.40.12

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 21 Nov 2025 13:01:54 +0100

## qgis 3.40.13+18trixie

=== debian/changelog ===
qgis (1:3.40.13+18trixie) trixie; urgency=medium

  * Release of 3.40.13
  * long term release 3.40.13 for trixie

 -- Jürgen E. Fischer <jef@norbit.de>  Sun, 23 Nov 2025 13:10:55 +0000

## qgis 3.40.13+36jammy

=== debian/changelog ===
qgis (1:3.40.13+36jammy) jammy; urgency=medium

  * Release of 3.40.13
  * long term release 3.40.13 for jammy

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 22 Nov 2025 22:40:54 +0000
